<?php 

	if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
	
	global $current_user;
	if(!is_admin($current_user)) {
		ACLController::displayNoAccess();
		return;
	}

	/*********************************************************************************
	 * SugarCRM is a customer relationship management program developed by
	 * SugarCRM, Inc. Copyright (C) 2004 - 2007 SugarCRM Inc.
	 * 
	 * This program is free software; you can redistribute it and/or modify it under
	 * the terms of the GNU General Public License version 3 as published by the
	 * Free Software Foundation with the addition of the following permission added
	 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
	 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
	 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
	 * 
	 * This program is distributed in the hope that it will be useful, but WITHOUT
	 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
	 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
	 * details.
	 * 
	 * You should have received a copy of the GNU General Public License along with
	 * this program; if not, see http://www.gnu.org/licenses or write to the Free
	 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
	 * 02110-1301 USA.
	 * 
	 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
	 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
	 * 
	 * The interactive user interfaces in modified source and object code versions
	 * of this program must display Appropriate Legal Notices, as required under
	 * Section 5 of the GNU General Public License version 3.
	 * 
	 * In accordance with Section 7(b) of the GNU General Public License version 3,
	 * these Appropriate Legal Notices must retain the display of the "Powered by
	 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
	 * technical reasons, the Appropriate Legal Notices must display the words
	 * "Powered by SugarCRM".
	 ********************************************************************************/

	
	global $sugar_version, $sugar_config, $current_user, $app_strings, $mod_strings;
	
	require_once('modules/EcmCalls/config.php');
	require_once('modules/EcmCalls/EcmCall.php');
	require_once ('include/time.php');

	global $theme;
	$theme_path = "themes/".$theme."/";
	$image_path = $theme_path."images/";
	require_once ($theme_path.'layout_utils.php');	


	$xtpl = new XTemplate ('modules/EcmCalls/Settings.html');
	$xtpl->assign("MOD", $mod_strings);
	$xtpl->assign("APP", $app_strings);	

	if (isset($_REQUEST['return_module'])) $xtpl->assign("RETURN_MODULE", $_REQUEST['return_module']);
	if (isset($_REQUEST['return_action'])) $xtpl->assign("RETURN_ACTION", $_REQUEST['return_action']);
	if (isset($_REQUEST['return_id']))     $xtpl->assign("RETURN_ID",     $_REQUEST['return_id']);	
	if (empty($_REQUEST['return_id']))     $xtpl->assign("RETURN_ACTION", 'index');


	//$xtpl->assign("CENTRAL_AREACODE",$ecmcalls_config['central_areacode']);
	$xtpl->assign("PHONE_LIST", EcmCall::getPhoneList());
	
	$json = getJSONobj();
	$scriptOpt = '<script language="javascript">
				 var MOD = '.str_replace('&quot;','\"',$json->encode($mod_strings)).';
				</script>';
	echo $scriptOpt;
  
	//// Timezone
	require_once('include/timezone/timezones.php');
	global $timezones;
	
	$timezoneOptions = '';
	ksort($timezones);
	foreach($timezones as $key => $value) {
		$selected =($ecmcalls_config['central_timezone'] == $key) ? ' SELECTED="true"' : '';
		$dst = !empty($value['dstOffset']) ? '(+DST)' : '';
		$gmtOffset =($value['gmtOffset'] / 60);
	
		if(!strstr($gmtOffset,'-')) {
			$gmtOffset = '+'.$gmtOffset;
		}
		$timezoneOptions .= "<option value='$key'".$selected.">".str_replace(array('_','North'), array(' ', 'N.'),$key). "(GMT".$gmtOffset.") ".$dst."</option>";
	}
	$xtpl->assign('CENTRAL_TIMEZONE_OPTIONS', $timezoneOptions);
		
		
	echo "\n<p>\n";
	echo get_module_title('EcmGroupSales', $GLOBALS['mod_strings']['LBL_ECMGROUPSALES_SETTINGS_TITLE'], true); 
	echo "\n</p>\n";

	$xtpl->parse("main");
	$xtpl->out("main");

//   require_once('include/javascript/javascript.php');
//   $javascript = new javascript();
//   $javascript->setFormName('Settings');
//   $javascript->addAllFields('');

//BUILDER:START Pro only 
//   $javascript->addFieldGeneric(              'team_name',          'varchar', $app_strings['LBL_TEAM'] ,'true');
//   $javascript->addToValidateBinaryDependency('team_name',          'alpha',   $app_strings['ERR_SQS_NO_MATCH_FIELD'] . $app_strings['LBL_TEAM'],        'false', '', 'team_id');
//BUILDER:END Pro only 

//   $javascript->addFieldGeneric('central_areacode', 'varchar', $mod_strings['LBL_CENTRAL_AREACODE'] , 'true');
//   $javascript->addToValidateBinaryDependency('central_areacode', 'alpha' ,$app_strings['ERR_SQS_NO_MATCH_FIELD'].$mod_strings['LBL_CENTRAL_AREACODE'], 'false', '', 'team_id');


//   $javascript->addToValidateBinaryDependency('assigned_user_name', 'alpha',   $app_strings['ERR_SQS_NO_MATCH_FIELD'] . $app_strings['LBL_ASSIGNED_TO'], 'false', '', 'assigned_user_id');
   
//   echo $javascript->getScript();

	
?>